%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           pyst2-Asterisk
Version:        0.5 
Release:        1%{?dist}
Summary:        Python bindings for Asterisk Manager API

Group:          Development/Languages
License:        MIT
URL:            https://github.com/rdegges/pyst2/
Source0:        pyst2-Asterisk-0.5.tgz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  python-devel
%if 0%{?fedora} >= 8
BuildRequires:  python-setuptools-devel
%else
BuildRequires:  python-setuptools
%endif
BuildRequires:  python-nose

%description
The Python Asterisk package (codenamed pyst2) is an attempt to produce
high quality, well documented Python bindings for the Asterisk Manager API.

The eventual goal of the package is to allow rich specification of the Asterisk
configuration in Python rather than in the quirky, unstructured, undocumented
mess that we call the Asterisk configuration files. 

%prep
%setup -q

%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

 
%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Tue Mar 09 2021 Nicolás Gudiño <nicolas@issabel.com> - 1.0
- Initial RPM package.

